密钥概览
| 密钥版本 | V4 |
|---|---|
| 规范 | RFC 2440 · RFC 4880 · RFC 9580 |
| 状态 | 兼容,但已被 RFC 9580 弃用 |
| 主密钥(认证、签名) | Ed448 · RFC 9580 · ID 28 |
| 加密子密钥 | X448 · RFC 9580 · ID 26 |
| 指纹 | 7AF21F1EE4385D42FE2ED44CDF867036C59D7117 |
| 私钥口令 | synthetic-key-password |
算法与用途
Ed448: Curve448 上的 Edwards 曲线签名,安全级别高于 Ed25519(约 224 位)。适用于需要更大安全余量的签名。
X448: Curve448 上的密钥协商,是与 Ed448 对应的加密算法,安全级别高于 X25519.。
公钥
包含主密钥、加密子密钥及其绑定签名的公开证书。导入后可验证签名,或向此测试身份加密数据。
下载 → 778 字节
-----BEGIN PGP PUBLIC KEY BLOCK-----
xj8EaveKoxxvIVymT7kLEQi0ZR8cs4p9Xs8ai1ZcoNAWuUaODlWfQAVPNvCsd+Qi
igTZV+d2Bw/4wv/65ipRzgDNHENILUogbWF0cml4IDQwLXY0LWVkNDQ4K3g0NDjC
ugQTHA4ANAUCaveKoxYhBHryHx7kOF1C/i7UTN+GcDbFnXEXAhsDAh4BAwsJBwEV
ARYFJwkCBwICGQEACgkQ34ZwNsWdcRc3r3hVvwXTD+Z5WpykVROCjVPO+vrE6ISa
EbhRgnWf2CFqx1zKbxSOqzlCHilSz2yBdfwvzxZC0y1UgAMuSvTc/1/BdTrYJI6K
1IhqRQqz1Emm78hFcnkCetXD0Zzj0EjnzxhnY3ch+Lu4LfV1Er44A5E7AM4+BGr3
iqMaUhHWq39TxDpJlX7DJOwtkT5UCV8or9nTp+KFy+6U6mL87f1GTCw8wxjqZ/Hh
qqnWZClJJ0yJiKDCpgQYHA4AIAUCaveKoxYhBHryHx7kOF1C/i7UTN+GcDbFnXEX
AhsMAAoJEN+GcDbFnXEXFV11Ss3IHnmbretqvzCPO9X6TW418HPNc84gynru3mrO
iTOMavO9O6Ja2KGkQXqj19XOLQZgzfwxSwC2IpGMDtkJZMi+tbaSohX+Ysd0yKta
/u7uFXp7/Ch7lDA2i/B7X5b67O+5zW0GNKBgrYAGmeUQMgA=
=fK4c
-----END PGP PUBLIC KEY BLOCK-----
私钥
由上方所示口令保护的私钥。仅为测试而公开,任何人都可使用。
下载 → 1 065 字节
显示
-----BEGIN PGP PRIVATE KEY BLOCK-----
xakEaveKoxxvIVymT7kLEQi0ZR8cs4p9Xs8ai1ZcoNAWuUaODlWfQAVPNvCsd+Qi
igTZV+d2Bw/4wv/65ipRzgD+CQMI2GQEPXVExengk4jzmQVDSUyGsHeqqFet751b
sMo0py+2hjECt37AR8rtzSqK0UtrNFPTOf72TkOpDvTtbVNzHnl14Ej3MqWT8pfB
KCD0BIraLrRzd+d/iqh2PnaWLY8qjk0Vj28pzRxDSC1KIG1hdHJpeCA0MC12NC1l
ZDQ0OCt4NDQ4wroEExwOADQFAmr3iqMWIQR68h8e5DhdQv4u1EzfhnA2xZ1xFwIb
AwIeAQMLCQcBFQEWBScJAgcCAhkBAAoJEN+GcDbFnXEXN694Vb8F0w/meVqcpFUT
go1Tzvr6xOiEmhG4UYJ1n9ghasdcym8Ujqs5Qh4pUs9sgXX8L88WQtMtVIADLkr0
3P9fwXU62CSOitSIakUKs9RJpu/IRXJ5AnrVw9Gc49BI588YZ2N3Ifi7uC31dRK+
OAOROwDHpwRq94qjGlIR1qt/U8Q6SZV+wyTsLZE+VAlfKK/Z06fihcvulOpi/O39
RkwsPMMY6mfx4aqp1mQpSSdMiYig/gkDCNEvB6UiTyaI4OKPPvs+H+C+GVAylsi3
tAizXAPBQzxiIpmqlkQiZ4vxiQLZrdVZNSuNhO2CAwBFfN1UG6Lo61eFXMjdYs4B
9cNpjqHWbmB8J1Jfhve/bIhuKLoG8zdEr6AtstK7wqYEGBwOACAFAmr3iqMWIQR6
8h8e5DhdQv4u1EzfhnA2xZ1xFwIbDAAKCRDfhnA2xZ1xFxVddUrNyB55m63rar8w
jzvV+k1uNfBzzXPOIMp67t5qzokzjGrzvTuiWtihpEF6o9fVzi0GYM38MUsAtiKR
jA7ZCWTIvrW2kqIV/mLHdMirWv7u7hV6e/woe5QwNovwe1+W+uzvuc1tBjSgYK2A
BpnlEDIA
=tN+n
-----END PGP PRIVATE KEY BLOCK-----
吊销证书
预先生成的吊销证书。导入后会将密钥标记为已吊销;公开此证书是为了让您测试软件如何处理已吊销的密钥。
下载 → 1 002 字节
显示
-----BEGIN PGP PUBLIC KEY BLOCK-----
xj8EaveKoxxvIVymT7kLEQi0ZR8cs4p9Xs8ai1ZcoNAWuUaODlWfQAVPNvCsd+Qi
igTZV+d2Bw/4wv/65ipRzgDCowQgHA4AHQUCaveKoxYhBHryHx7kOF1C/i7UTN+G
cDbFnXEXAAoJEN+GcDbFnXEXhyu6uiJmBGLK8EPv4pxK+4PzxOxEcmNvCGZ4llGP
ZhK1yQd3Q8yMNJb0Jqt9hnpGr/GfclxrGnw4b4AM0uFo/pA3hHIRHj99N+RqpJZz
TXIyp4ARNEllBwBG+/D7JbYwF7hO1NQ1rlonOiVXegOQ/x7nDQDNHENILUogbWF0
cml4IDQwLXY0LWVkNDQ4K3g0NDjCugQTHA4ANAUCaveKoxYhBHryHx7kOF1C/i7U
TN+GcDbFnXEXAhsDAh4BAwsJBwEVARYFJwkCBwICGQEACgkQ34ZwNsWdcRc3r3hV
vwXTD+Z5WpykVROCjVPO+vrE6ISaEbhRgnWf2CFqx1zKbxSOqzlCHilSz2yBdfwv
zxZC0y1UgAMuSvTc/1/BdTrYJI6K1IhqRQqz1Emm78hFcnkCetXD0Zzj0Ejnzxhn
Y3ch+Lu4LfV1Er44A5E7AM4+BGr3iqMaUhHWq39TxDpJlX7DJOwtkT5UCV8or9nT
p+KFy+6U6mL87f1GTCw8wxjqZ/HhqqnWZClJJ0yJiKDCpgQYHA4AIAUCaveKoxYh
BHryHx7kOF1C/i7UTN+GcDbFnXEXAhsMAAoJEN+GcDbFnXEXFV11Ss3IHnmbretq
vzCPO9X6TW418HPNc84gynru3mrOiTOMavO9O6Ja2KGkQXqj19XOLQZgzfwxSwC2
IpGMDtkJZMi+tbaSohX+Ysd0yKta/u7uFXp7/Ch7lDA2i/B7X5b67O+5zW0GNKBg
rYAGmeUQMgA=
=ltkx
-----END PGP PUBLIC KEY BLOCK-----
test_1MB.bin 的签名
在 CH-J Tools 中使用此密钥生成的 test_1MB.bin 的 ASCII 装甲格式分离签名。请将其保存为 test_1MB.bin.asc,与测试文件放在同一目录。
下载 → 289 字节
-----BEGIN PGP SIGNATURE-----
wqMEABwOAB0WIQR68h8e5DhdQv4u1EzfhnA2xZ1xFwUCaveO9gAKCRDfhnA2xZ1x
FwjP4rZE8Eh99cw2201KqjT/jTGRQ6g7fwjM+w9AGcVkMBcqHma+FIgPIICS+pHj
JiVQIDU+eXdtwTuA1TK+YCnEvnkuQkSCMk65Nn4LGS9PDrujz8Ga43w8I0qsiigK
diANEKM3EmsGqggbCQAeNEyTlg4A
=iTTG
-----END PGP SIGNATURE-----
验证签名
版本 4 的密钥可在算法受支持的情况下用于 GnuPG 以及 sqop、rsop 等 SOP 工具。请使用临时 GNUPGHOME,避免将测试密钥导入实际使用的密钥环:
gpg --import pgp-example-40-public.asc
gpg --verify test_1MB.bin.asc test_1MB.bin